Bug 2565 - Electric throws IllegalStateException when attempting to "plot spice listing"
Electric throws IllegalStateException when attempting to "plot spice listing"
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: IO
1
All All
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:26 UTC by strubin
Modified: 2011-04-15 20:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:26:14 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-09-07 01:02:52 **

I get this whenever I try to plot a spice listing.

  -a

Exception in thread "Thread-4" java.lang.IllegalStateException
\tat com.sun.electric.tool.Job$1.initialValue(Job.java:483)
\tat com.sun.electric.tool.Job$1.initialValue(Job.java:482)
\tat java.lang.ThreadLocal.get(ThreadLocal.java:132)
\tat com.sun.electric.tool.Job.getUserInterface(Job.java:494)
\tat com.sun.electric.tool.io.input.Input.startProgressDialog(Input.java:273)
\tat com.sun.electric.tool.io.input.ScalarEpicOutProcess.readSimulationOutput(ScalarEpicOutProcess.java:86)
\tat com.sun.electric.tool.io.input.Simulate$ReadSimulationOutput.run(Simulate.java:247)
Comment 1 strubin 2011-04-15 17:19:13 UTC
** ORIGINALLY POSTED BY nadezhin on 2009-09-07 03:29:36 **

FIX: Install UserInterfaceExec in Simulate.ReadSimulationOutput.run, EpicOutProcess.run, ScalarEpicOutProcess.run.
Comment 2 strubin 2011-04-15 17:19:15 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-09-07 11:46:08 **

Thanks Dima!
Comment 3 strubin 2011-04-15 17:19:19 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-09-09 14:10:58 **

Being released in v8.10f and verified. Closing now.